﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	#if b4j
	Dim MapP As Map=Main.GetPrinters
	For n=0 To MapP.Size-1
		Dim s As String = MapP.GetKeyAt(n)
		Dim m As Map=MapP.GetValueAt(n)
		If s = "Canon" Then ' print to arbitrary printer in list to test "Canon"
			Dim obj As Object=m.GetValueAt(0) ' print using tray at index 0
			Main.PrintPDFDocument( File.Combine("C:/Pdf", "test.pdf") ,s,obj,1)
		End If
	Next
	#Else
	Dim printer As Printer
	printer.Initialize("")
	'printer.PrintPdf("Job Name",File.DirAssets,"test.pdf")
	Dim attributes As JavaObject = CreatePrinterAttributes
	Log(attributes.RunMethod("getMediaSize", Null))
	Log(attributes.RunMethod("getMinMargins", Null))
	printer.PrintPdf2("Job Name",File.DirAssets,"test.pdf",attributes)	
	#End If
End Sub
Sub CreatePrinterAttributes As JavaObject
	Dim builder As JavaObject
	builder.InitializeNewInstance("android.print.PrintAttributes.Builder", Null)
	Dim mediaSize As JavaObject
'	mediaSize = mediaSize.InitializeStatic("android.print.PrintAttributes.MediaSize").GetField("ISO_A6")
'	mediaSize = mediaSize.InitializeStatic("android.print.PrintAttributes.MediaSize").GetField("ISO_A4")
	mediaSize = mediaSize.InitializeStatic("android.print.PrintAttributes.MediaSize").GetField("NA_LETTER")
'	mediaSize = mediaSize.InitializeStatic("android.print.PrintAttributes.MediaSize").GetField("NA_LEGAL")
	Dim margins As JavaObject
'	Dim left = 1200, top = 1200, right = 1200, bottom = 1200 As Int
'	margins.InitializeNewInstance("android.print.PrintAttributes.Margins", Array (left, top, right, bottom))
	margins = margins.InitializeStatic("android.print.PrintAttributes.Margins").GetField("NO_MARGINS")
	builder.RunMethodJO("setMediaSize", Array (mediaSize)).RunMethodJO("setMinMargins", Array(margins))
	Return builder.RunMethod("build", Null)
End Sub
